<?php 
	
    add_theme_support( 'post-thumbnails' );

    register_nav_menus(
        array('primary-menu'=>'Top Menu')
    );

    function options() {
    acf_add_options_page();
    }
    add_action('init', 'options');
 
 
 
add_action('woocommerce_add_to_cart', 'keep_only_current_cart_product', 10, 6);
function keep_only_current_cart_product($cart_item_key, $product_id, $quantity, $variation_id, $variation, $cart_item_data) {
    if (function_exists('WC') && WC()->cart) {
        // Get all cart items
        $cart_items = WC()->cart->get_cart();
 
        // Loop through the cart items and remove all except the current
        foreach ($cart_items as $key => $item) {
            if ($key !== $cart_item_key) {
                WC()->cart->remove_cart_item($key);
            }
        }
 
        // Set the current product's quantity to 1 (ensure it's always 1)
        WC()->cart->set_quantity($cart_item_key, 1);
    }
}



add_action('woocommerce_thankyou', 'change_user_role_and_add_subscription_expiration');
function change_user_role_and_add_subscription_expiration($order_id) {
    // Get the order
    $order = wc_get_order($order_id);
 
    // Get the user ID from the order
    $user_id = $order->get_user_id();
 
    // Check if we have a valid user ID
    if ($user_id) {
        // Load the user object
        $user = new WP_User($user_id);
 
        // Check if the user is NOT an administrator
        if (!in_array('administrator', $user->roles)) {
            // Define the new role you want to assign
            $new_role = 'author'; // Replace 'your_new_role' with the desired role
 
            // Remove old role(s) and add the new role
            $user->set_role($new_role);
 
            // Initialize subscription duration
            $subscription_duration = 0;
 
            // Get product names from the order and determine subscription duration
            foreach ($order->get_items() as $item_id => $item) {
                // Get the product object
                $product = $item->get_product();
 
                // Check if product exists
                if ($product) {
                    // Get the product name
                    $product_name = $product->get_name();
 
                    // Determine the subscription duration based on product name
                    if (stripos($product_name, 'Yearly') !== false) {
                        $subscription_duration = 365; // 1 Year
                    } elseif (stripos($product_name, 'Monthly') !== false) {
                        $subscription_duration = 30; // 1 Month
                    }
                }
            }
 
            // If subscription_duration was set, save the expiration date
            if ($subscription_duration > 0) {
                // Set subscription expiration date based on the determined duration
                $expiration_date = strtotime("+$subscription_duration days");
 
                // Save the expiration date as user meta
                update_user_meta($user_id, 'subscription_expiration_date', $expiration_date);
            }
        }
    }
}