<?php get_header(); ?>

<section class="page_title ds s-py-10 s-py-xl-25 breadcrumb-image s-overlay">
    <div class="container">
        <div class="row">
            <div class="divider-50"></div>
            <div class="col-md-12 text-center">
                <h1 class="fw-400">
                    <?php single_cat_title(); // Displays the current category title ?>
                </h1>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="<?php echo get_home_url(); ?>">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="<?php echo site_url('/books') ;?>">Books</a>
                    </li>
                    <li class="breadcrumb-item active">
                        <?php single_cat_title(); ?>
                    </li>
                </ol>
            </div>
            <div class="divider-50"></div>
        </div>
    </div>
</section>

<section class="ls s-pt-90 s-pb-40 s-py-lg-100 c-gutter-30 c-mb-50 c-mb-md-30 program">
    <div class="container">
        <div class="row">
            <div class="d-none d-lg-block divider-60"></div>
            
            <?php 
	            if( have_posts() ) :   while ( have_posts() ) : the_post(); ?>
                    <div class="col-md-6 col-lg-4">
                        <div class="vertical-item text-center bordered">
                            <div class="item-media">
                                <?php the_post_thumbnail(); ?>
                                <div class="media-links">
                                    <a class="abs-link" href="<?php the_permalink(); ?>"></a>
                                </div>
                                <div class="content-absolute bg-maincolor2-transparent text-left ds">
                                    <h6><?php the_field('author_name'); ?></h6>
                                    <div class="autor half-circle">
                                        <?php $author_image = get_field('author_image'); ?>
                                        <?php if ($author_image) : ?>
                                            <img src="<?php echo esc_url($author_image['url']); ?>" alt="<?php echo esc_attr($author_image['alt']); ?>">
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="item-content">
                                <h5>
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </h5>
                                <p>
                                    <?php echo wp_trim_words(get_the_content(), 15, '...'); ?>
                                </p>
                            </div>
                        </div>
                    </div>
                <?php endwhile;  endif; wp_reset_postdata(); ?>

            <div class="d-none d-lg-block divider-30"></div>
        </div>
    </div>
</section>

<?php get_footer(); ?>
