<?php /* Template Name: Cook Books */ ?>
<?php get_header(); ?>

<section class="banner" style="background-image:url(<?php echo bloginfo('template_url'); ?>/assets/img/background.png)">
   <div class="container">
      <div class="row align-items-center">
         <div class="col-lg-7">
            <div class="title-area-data">
               <h2>Cookbooks</h2>
               <p>A magical combination that sent aromas to the taste buds</p>
            </div>
            <ol class="breadcrumb">
               <li class="breadcrumb-item">
                 <a href="<?php echo get_home_url(); ?>"><i class="fa-solid fa-house"></i> Home</a>
               </li>
               <li class="breadcrumb-item active" aria-current="page">Cookbooks</li>
            </ol>
         </div>
         <div class="col-lg-5">
            <div class="row">
               <div class="col-6">
                  <div class="title-area-img">
                     <img alt="title-area-img" src="<?php echo bloginfo('template_url'); ?>/assets/img/title-area-img-1.jpg">
                     <img alt="pata" class="pata" src="<?php echo bloginfo('template_url'); ?>/assets/img/pata.png">
                  </div>
               </div>
               <div class="col-6">
                  <div class="title-area-img two">
                     <img alt="title-area-img" src="<?php echo bloginfo('template_url'); ?>/assets/img/title-area-img-2.jpg">
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</section>
<section class="gap">
   <div class="container">
      <div class="row">
        <?php
    // Define query arguments
    $args = array(
        'post_type'      => 'book',
        'posts_per_page' => 6, // Fetch all posts
        'order'          => 'DESC', // Sort by most recent
    );

    // Create a new query
    $query = new WP_Query($args);

    // Loop through posts
    if ($query->have_posts()) : 
        while ($query->have_posts()) : $query->the_post(); ?>
       
        <div class="col-xl-4 col-md-6">
            <div class="featured-dishes">
               <div class="featured-dishes-img">
                  <?php the_post_thumbnail(); ?>
               </div>
               <a href="<?php the_permalink(); ?>"><h5><?php echo the_title(); ?></h5></a>
            </div>
        </div>
        
        <?php endwhile;
        wp_reset_postdata(); 
    else : ?>
        <p>No posts found.</p>
    <?php endif; ?>
             <ul class="pagination justify-content-center">
                <?php
                $big = 999999999; // Need an unlikely integer for proper replacement
                $pages = paginate_links(array(
                    'base'      => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
                    'format'    => '?paged=%#%',
                    'current'   => max(1, get_query_var('paged')),
                    'total'     => $query->max_num_pages,
                    'prev_text' => '<i class="fa-solid fa-angle-left"></i>',
                    'next_text' => '<i class="fa-solid fa-angle-right"></i>',
                    'type'      => 'array', // Return an array of links for custom HTML
                ));
            
                if (is_array($pages)) :
                    foreach ($pages as $page) :
                        echo '<li class="page-item">' . str_replace('page-numbers', 'page-link', $page) . '</li>';
                    endforeach;
                endif;
                ?>
            </ul>

      </div>
   </div>
</section>

<?php get_footer(); ?>